Advertising

Welcome to SparkyLinux forums
Zapraszamy również na polsko-języczne Forum https://forum.linuxiarze.pl

only EFI install, no MBR??

Started by vp_nbi, June 11, 2020, 12:24:38 AM

Previous topic - Next topic

vp_nbi

Both Calamares and the Advanced Installer in 2020.6 Xfce require EFI installation. So I can't install on a classic dual boot MBR system? I was expecting the Advanced Installer to allow MBR installation, but it insists on placing an "EFI image" in the root partition. I don't want that - I just want a normal install to a partition on a conventional MBR system managed by GRUB.

Another thing and I don't know if this is related, but the live Sparky 2020.6 doesn't recognize the hard drives in the correct order, i.e. /dev/sda is seen as /dev/sdb and vice versa. This is not an issue when I boot linux from an existing /dev/sda partition (and I'm not using any GRUB tricks to change the boot order). So why are the installers confused?

pavroo

Both installers detect you machine - if it is with bios, they keep grub-pc, if detect uefi, they install grub-efi instead.
So what you said is not true.

QuoteSparky 2020.6 doesn't recognize the hard drives in the correct order, i.e. /dev/sda is seen as /dev/sdb and vice versa.
Sorry, but never seen somenthing like that.
Only installer's log can say something more.
Nothing is easy as it looks. Danielle Steel
Join #sparkylinux.org at irc.libera.chat

vp_nbi

#2
No.

The BIOS option "Launch CSM" is enabled. This means run in BIOS mode rather than UEFI. I'd include the picture, but including images via the IMG tag is broken.

All OSes installed on this multiboot expect BIOS/MBR operation. They wouldn't even be bootable if the "Launch CSM" wasn't correct.

So what I'm saying is true - the detection is broken.

UPDATE:
As an experiment I put Debian Bullseye on the USB stick. It installed just fine using the Debian Installer.
Couple of observations:
1. The Debian Installer correctly detected the drives and their correct order.
2. It correctly identified the system as UEFI *but* correctly identified that everything had been installed as BIOS. So it asked whether to proceed as UEFI or BIOS. That's the correct behavior!

So both Calamares and the Advanced Installer appear to be broken - at least when attempting to install on my laptop (which isn't very exotic). If you still keep on insisting they're not broken then why does the Debian Installer work flawlessly while they don't?

At least with Bullseye installed I can shoehorn in Sparky although doing it this way is a PITA.

View the most recent posts on the forum